﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StreamBase.DataCache;

namespace DataCacheBrowser
{
    class GenericViewModel : ObservableObject
    {
        /*
         * Normally the DataModel would be specific to a particular set of types --
         * filtering, commands, and other things would be done here as well.
         */
        private DataCacheModelCollection<GenericModel> _dataModel;
        public DataCacheModelCollection<GenericModel> DataModel {
            get { return _dataModel; }
            set
            {
                if (_dataModel != value)
                {
                    _dataModel = value;
                    base.RaisePropertyChanged("DataModel");
                }
            }
        }
    }
}
